using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Truss
{
    [DataContract]
    [SugarTable("FJ_Truss523")]
    public class WCS_Truss523 : ITruss523
    {
        [DataMember(Order = 0)]
        public TrussAlarm Alarm { get; set; }

        [DataMember(Order = 1)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 2)]
        public new string Code { get; set; }
    }

    [DataContract]
    [SugarTable("FJ_Truss523")]
    public class QuestDb_Truss523
    {
        [DataMember(Order = 0)]
        public string Alarm { get; set; }

        [DataMember(Order = 1)]
        [TimeDbSplitField(DateType.Day)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 2)]
        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
